#### Notification Process Parameters
#### Default Biodec Service Notification configuration
# max_check_attempts=5 (number of "NOT OK" HardStates before sending the notification)
# check_interval=5 (interval between two consecutive check if the previous was OK)
# retry_interval=2 (interval between two consecutive check when the previous was in "NOT OK" HardState)
# notification_interval=0 (number of minute before two consecutive notification when the state is "NOT OK", if 0 means send only one notification)
# first_notification_delay=0 (Number of minute to wait, before sending the notification, when the state a "NOT OK" confirmed HardState)

# In other words: 5 checks (waiting check_interval) before confirming a "NOT OK" HardState then call suddenly HOME.
# It means, when the state is SoftState "NOT OK", try 5 times (every 2 minutes), so 8 minutes, and then send notification

####Default Biodec Service Notification configuration
## max_check_attempts: number of "NOT OK" SoftState before becoming a "NOT OK" HardState and then sending the notification
extra_service_conf.setdefault('max_check_attempts', [])
extra_service_conf['max_check_attempts'] = [
  ( 5, [], ALL_HOSTS, ALL_SERVICES, {'comment': u'max_check_attempts for services'} ),
  ( 1, [], ALL_HOSTS, ['Uptime'], {'comment': u'max_check_attempts for Uptime service'} ),
] + extra_service_conf['max_check_attempts']

## check_interval: interval between two consecutive check if the previous was a HardState "OK"
extra_service_conf.setdefault('check_interval', [])
extra_service_conf['check_interval'] = [
  ( 5.0, [], ALL_HOSTS, ALL_SERVICES, {'comment': u'Normal check intervals'} ),
  ( 1440.0, [], ALL_HOSTS, ["APT"], {'comment': u'Normal check intervals for APT'} ),
] + extra_service_conf['check_interval']

## retry_interval: interval between two consecutive check if the previous wasn't a SoftState "NOT OK"
extra_service_conf.setdefault('retry_interval', [])
extra_service_conf['retry_interval'] = [
  ( 2.0, [], ALL_HOSTS, ALL_SERVICES, {'comment': u'Retry check intervals'} ),
] + extra_service_conf['retry_interval']

## notification_interval: 0 means that trigger one notification and then stop. Otherwise is the number of minute between two consecutive notification if the service is not in OK state.
extra_service_conf.setdefault('notification_interval', [])
extra_service_conf['notification_interval'] = [
  ( 0, [], ALL_HOSTS, ALL_SERVICES, {'comment': u'notification_interval for service'} ),
] + extra_service_conf['notification_interval']

## first_notification_delay: 0 means if the HardState is "NOT OK", trigger immediatly the notification, otherwist is the number of minutes to wait before triggering the notification
extra_service_conf.setdefault('first_notification_delay', [])
extra_service_conf['first_notification_delay'] = [
  ( 0, [], ALL_HOSTS, ALL_SERVICES, {'comment': u'first_notification_delay for service'} ),
] + extra_service_conf['first_notification_delay']

####Default Biodec Host Notification configuration
## max_check_attempts: number of "NOT OK" SoftState before becoming a "NOT OK" HardState and then sending the notification
extra_host_conf.setdefault('max_check_attempts', [])
extra_host_conf['max_check_attempts'] = [
  ( 5, [], ALL_HOSTS, {'comment': u'max_check_attempts for host'} ),
] + extra_host_conf['max_check_attempts']

## check_interval: interval between two consecutive check if the previous was a HardState "OK"
extra_host_conf.setdefault('check_interval', [])
extra_host_conf['check_interval'] = [
  ( 5.0, [], ALL_HOSTS, {'comment': u'Normal check intervals'} ),
] + extra_host_conf['check_interval']

## retry_interval: interval between two consecutive check if the previous wasn't a SoftState "NOT OK"
extra_host_conf.setdefault('retry_interval', [])
extra_host_conf['retry_interval'] = [
  ( 2.0, [], ALL_HOSTS, {'comment': u'Retry check interval for host'} ),
] + extra_host_conf['retry_interval']

## notification_interval: 0 means that trigger one notification and then stop. Otherwise is the number of minute between two consecutive notification if the host is not in OK state.
extra_host_conf.setdefault('notification_interval', [])
extra_host_conf['notification_interval'] = [
  ( 0, [], ALL_HOSTS, {'comment': u'notification_interval for host'} ),
] + extra_host_conf['notification_interval']

## first_notification_delay: 0 means if the HardState is "NOT OK", trigger immediatly the notification, otherwist is the number of minutes to wait before triggering the notification
extra_host_conf.setdefault('first_notification_delay', [])
extra_host_conf['first_notification_delay'] = [
  ( 0, [], ALL_HOSTS, {'comment': u'first_notification_delay for host'} ),
] + extra_host_conf['first_notification_delay']


